aboutsummaryrefslogtreecommitdiff
path: root/multimedia/mythtv/files/rc.mythbackend.new
diff options
context:
space:
mode:
authorDavid Somero <dsomero@hotmail.com>2013-12-01 08:21:08 +0100
committerRobby Workman <rworkman@slackbuilds.org>2013-12-02 00:58:02 -0600
commit749460d8eac3f2cae4e140afc9a74b1da29ea9d1 (patch)
tree3d7d4280fb9e59460abefc0170ec1dc0fe296d1e /multimedia/mythtv/files/rc.mythbackend.new
parent0c01842e9a9b21835ba447cb9a4254ddb4e68203 (diff)
multimedia/mythtv: Added (mythical home media convergence PVR/DVR).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia/mythtv/files/rc.mythbackend.new')
-rw-r--r--multimedia/mythtv/files/rc.mythbackend.new62
1 files changed, 62 insertions, 0 deletions
diff --git a/multimedia/mythtv/files/rc.mythbackend.new b/multimedia/mythtv/files/rc.mythbackend.new
new file mode 100644
index 0000000000000..7cb2683e6c5af
--- /dev/null
+++ b/multimedia/mythtv/files/rc.mythbackend.new
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Start/stop/restart mythbackend
+#
+# Modification done by Benoit Beauchamp, based on rc.mysqld by
+#
+# Copyright 2003 Patrick J. Volkerding, Concord, CA
+# Copyright 2003 Slackware Linux, Inc., Concord, CA
+#
+# This program comes with NO WARRANTY, to the extent permitted by law.
+# You may redistribute copies of this program under the terms of the
+# GNU General Public License.
+#
+LOG=/var/log/mythbackend.log
+PID=/var/run/mythbackend.pid
+MYTHTV_HOME=/etc/mythtv
+export MYTHCONFDIR="$MYTHTV_HOME"
+export HOME="$MYTHTV_HOME"
+
+# Start mythbackend:
+myth_start() {
+ if [ -x /usr/bin/mythbackend ]; then
+ # If there is an old PID file (no mythbackend running), clean it up:
+ if [ -r $PID ]; then
+ if ! ps axc | grep mythbackend 1> /dev/null 2> /dev/null ; then
+ echo "Cleaning up old $PID."
+ rm -f $PID
+ fi
+ fi
+ echo "Starting mythbackend..."
+ /usr/bin/mythbackend --logpath $LOG -v general -p $PID -d
+ fi
+}
+
+# Stop mythbackend:
+myth_stop() {
+ # If there is no PID file, ignore this request...
+ if [ -r $PID ]; then
+ echo "Stopping mythbackend..."
+ killall mythbackend
+ rm -f $PID
+ fi
+}
+
+# Restart mythbackend:
+myth_restart() {
+ myth_stop
+ myth_start
+}
+
+case "$1" in
+'start')
+ myth_start
+ ;;
+'stop')
+ myth_stop
+ ;;
+'restart')
+ myth_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac